Search documentation of ExStreamClient

# ExStreamClient.Model.SubmitActionRequest (ExStreamClient v0.1.10)

View Source

Schema representing a SubmitActionRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.SubmitActionRequest{
      action_type:
        :end_call
        | :kick_user
        | :shadow_block
        | :unblock
        | :delete_user
        | :restore
        | :unban
        | :custom
        | :ban
        | :delete_reaction
        | :delete_activity
        | :delete_message
        | :mark_reviewed,
      ban: ExStreamClient.Model.BanActionRequest.t() | nil,
      custom: ExStreamClient.Model.CustomActionRequest.t() | nil,
      delete_activity: ExStreamClient.Model.DeleteActivityRequest.t() | nil,
      delete_message: ExStreamClient.Model.DeleteMessageRequest.t() | nil,
      delete_reaction: ExStreamClient.Model.DeleteReactionRequest.t() | nil,
      delete_user: ExStreamClient.Model.DeleteUserRequest.t() | nil,
      item_id: String.t(),
      mark_reviewed: ExStreamClient.Model.MarkReviewedRequest.t() | nil,
      unban: ExStreamClient.Model.UnbanActionRequest.t() | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()